//	Apple.cpp - Apple for the snakes to eat.
//  ----------------------------------------------------------------------------
//	This file is part of 'Minimal2PGame', a Ludum Dare entry.
//	Copyright (C) 2013  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "drawing/Drawer.h"
#include "Apple.h"

//------------------------------------------------------------------------------
Apple::Apple(const TwoFloats& pos):
position(pos),
name(L"Apple"),
colour(1.0f),
dead(false)
{
	star.setPosition(position, -0.01f);
}

//------------------------------------------------------------------------------
Apple::~Apple()
{

}

//------------------------------------------------------------------------------
void Apple::draw(shared_ptr<Drawer>& d)
{
	star.update();

	star.draw(d, backColour);
	d->drawImage(L"Apple", position-16.0f, 1.0f, colour);
}

//------------------------------------------------------------------------------
void Apple::setDead()
{
	dead = true;
}

//------------------------------------------------------------------------------
void Apple::setPosition(const TwoFloats& pos)
{
	position = pos;
}

//------------------------------------------------------------------------------
void Apple::setColour(const ThreeFloats& col)
{
	colour = col;
}

//------------------------------------------------------------------------------
void Apple::setBackColour(const ThreeFloats& col)
{
	backColour = col;
}
