//	Star.h - Simple winner's star class.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef STAR_H_
#define STAR_H_

#include "ThreeFloats.h"
#include "c0xHeaders.h"
#include "TwoFloats.h"

class Drawer;

///	Simple winner's star class.
class Star
{
  public:
	///	Constructor.
	Star();
	///	Destructor.
	~Star();

	///	Moves the star.
	void update();
	///	Draws the star.
	void draw(shared_ptr<Drawer>& d, const ThreeFloats& col);

	///	Sets the star up.
	void setPosition(const TwoFloats& pos, float rot);
  private:
	///	The star's position.
	TwoFloats position;
	///	The star's rotation.
	float rotation;
	///	How much to rotate the star by each frame.
	float rotDir;
	///	The two star's scales.
	float scale[2];
};

#endif
